Create a schedule
curl --request POST \
--url https://api.hyra.io/workspace/sessions/{workspaceId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"external_description": "<string>",
"public_start_offset": 123,
"public_slock_offset": 123,
"series_start_date": "2023-11-07T05:31:56Z",
"game_link": "<string>",
"roles": [
"<string>"
],
"reoccurring": true,
"publish_to_discord": true,
"disable_cohost": true,
"cron_expression": "<string>",
"allow_adhoc": true
}
'import requests
url = "https://api.hyra.io/workspace/sessions/{workspaceId}"
payload = {
"name": "<string>",
"external_description": "<string>",
"public_start_offset": 123,
"public_slock_offset": 123,
"series_start_date": "2023-11-07T05:31:56Z",
"game_link": "<string>",
"roles": ["<string>"],
"reoccurring": True,
"publish_to_discord": True,
"disable_cohost": True,
"cron_expression": "<string>",
"allow_adhoc": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
external_description: '<string>',
public_start_offset: 123,
public_slock_offset: 123,
series_start_date: '2023-11-07T05:31:56Z',
game_link: '<string>',
roles: ['<string>'],
reoccurring: true,
publish_to_discord: true,
disable_cohost: true,
cron_expression: '<string>',
allow_adhoc: true
})
};
fetch('https://api.hyra.io/workspace/sessions/{workspaceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "<string>",
"workspace": "<string>",
"name": "<string>",
"external_description": "<string>",
"public_start_offset": 123,
"public_slock_offset": 123,
"series_start_date": "2023-11-07T05:31:56Z",
"game_link": "<string>",
"publish_to_discord": true,
"roles": [
"<string>"
],
"disable_cohost": true,
"reoccurring": true,
"allow_adhoc": true,
"game_thumbnail_url": "<string>",
"cron_expression": "<string>"
}Workspace
Create a Schedule
POST
/
workspace
/
sessions
/
{workspaceId}
Create a schedule
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
200 - application/json
Default Response
⌘I